Page MenuHomePhabricator

animating drawing of check mark in checkbox with simple SVG animation
Closed, ResolvedPublic

Description

Update the following:

  • OOJS-ui Mediawiki Theme
  • Mediawiki UI in Core

Display — 250ms animate show from left to right
Dismiss — 200ms animate hide from top to bottom

similar to http://bl.ocks.org/KoGor/8160770 or https://github.com/SamHerbert/SVG-Loaders

Details

Event Timeline

Jaredzimmerman-WMF assigned this task to Prtksxna.
Jaredzimmerman-WMF raised the priority of this task from to Medium.
Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF changed Security from none to None.
Prtksxna lowered the priority of this task from Medium to Low.Dec 12 2014, 4:58 AM
Prtksxna updated the task description. (Show Details)

@Prtksxna this is the other library I was looking for http://snapsvg.io/

I made this animation for the display transition -

.

It doesn't work as the animation is plays only once when the page is loaded. There is no way to control the animation of the SVG that we are loading as a background image in CSS. To use SVG animation we'll have to fundamentally change our approach and even then it might only be possible in OOUI and not the normal MediaWiki UI.

I suggest that we use the same scaling animation here as we are for the radios (T78370), at least for the time being.

@Prtksxna do you have an example of what it looks like when you use the radio animation for the check boxes?

@Jaredzimmerman-WMF There you go

That looks good for now.

Change 183168 had a related patch set uploaded (by Prtksxna):
mw.ui: checkbox: Add state change transition

https://gerrit.wikimedia.org/r/183168

Patch-For-Review

Change 183170 had a related patch set uploaded (by Prtksxna):
MediaWiki Theme: Add state change transition to checkbox

https://gerrit.wikimedia.org/r/183170

Patch-For-Review

Prtksxna updated the task description. (Show Details)Jan 6 2015, 11:55 PM
Prtksxna moved this task from Unsorted to Doing… on the UI-Standardization board.

Change 183170 merged by jenkins-bot:
MediaWiki Theme: Add state change transition to checkbox

https://gerrit.wikimedia.org/r/183170

Change 183168 merged by jenkins-bot:
mw.ui: checkbox: Add state change transition

https://gerrit.wikimedia.org/r/183168

Prtksxna closed this task as Resolved.Jan 9 2015, 1:10 AM
Volker_E moved this task from Doing… to Done on the UI-Standardization board.Dec 30 2015, 3:23 AM
Danny_B moved this task from Done to Unsorted on the UI-Standardization board.May 23 2016, 7:01 AM